Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8334 - Quotes in MonitorsDB cause X to choke
Summary: Quotes in MonitorsDB cause X to choke
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-10 17:18 UTC by Ran Cabell
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-09 06:34:53 UTC


Attachments (Terms of Use)

Description Ran Cabell 2000-01-10 17:18:05 UTC
Several strings in Xconfigurator/MonitorsDB for IBM monitors include double
quotes to indicate screen size in inches:

IBM 2215 15"; 0; 30-64; 50-90
IBM 2248 14"; 0; 30-48; 50-90
IBM 2264-002 14"; 0; 30-64; 50-90
IBM 2264-017 17"; 0; 29-82; 50-150
IBM 6312 14" PS/VP; 0; 31-48; 47-100
IBM 6314 14" PS/VP; 0; 30-60; 50-120
IBM 6318 14" PS/VP; 0; 32-37; 56-87
IBM 6319 15" PS/VP; 0; 30-60; 50-120

Since double quotes are used in XF86Config to delineate strings, this
results in unmatched quotes inside XF86Config, which causes X to die on
startup.

Comment 1 Matt Wilson 2000-02-09 06:34:59 UTC
Will be fixed in next rawhide.  Thanks for catching this.


Note You need to log in before you can comment on or make changes to this bug.